package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.common.enums.SopAnalyseGroupEnum;

import java.util.Map;

public interface SopScheduleService extends IService<TBSopInfo> {


    Map<String, Map<String, Object>> progress(Long serviceId, SopAnalyseGroupEnum group);

    <T> IPage<Map<String,Object>> detail(Page<T> tPage, Long serviceId, Long regionId, Long supplierId);
}
